<?php
// +-----------------------------------------------------------------------+
// | file          : functions_mail.inc.php
// | last update   : 2005-12-06
// | last modifier : Ruben
// | revision      : 1.0.0.1
// +-----------------------------------------------------------------------+

// Extract mail fonctions of password.php
// And Modify pwg_mail (add pararameters + news fonctionnalities)
// And var conf_mail, function InitConfMail, function FormatEmail

define('PHPWG_ROOT_PATH','./');
include_once(PHPWG_ROOT_PATH.'include/common.inc.php');

// +-----------------------------------------------------------------------+
// |                               functions                               |
// +-----------------------------------------------------------------------+

/*
 * Initialization of global variable $conf_mail
 */
function InitConfMail()
{
  global $conf, $conf_mail;

  if (count($conf_mail) == 0)
  {
    $conf_mail['mail_options'] = $conf['mail_options'];
    $conf_mail['send_bcc_mail_webmaster'] = ($conf['send_bcc_mail_webmaster'] == true ? true : false);
    list($conf_mail['email_webmaster']) = mysql_fetch_array(pwg_query('select '.$conf['user_fields']['email'].' from '.USERS_TABLE.' where '.$conf['user_fields']['id'].' = '.$conf['webmaster_id'].';'));
    $conf_mail['formated_email_webmaster'] = FormatEmail($conf['gallery_title'], $conf_mail['email_webmaster']);
    $conf_mail['text_footer'] = "\n\n-- \nPhpWebGallery ".($conf['show_version'] ? PHPWG_VERSION : '');
  }

  return true;
}

function FormatEmail($name, $email)
{
  if (strpos($email, '<') === false)
    return $name.' <'.$email.'>';
  else
    return $name.$email;
}

/**
 * sends an email, using PhpWebGallery specific informations
 */
function pwg_mail($to, $from = '', $subject = 'PhpWebGallery', $infos = '')
{
  global $conf, $conf_mail;

  $to = FormatEmail('', $to);

  if ($from =='')
    $from = $conf_mail['formated_email_webmaster'];
  else
    $from = FormatEmail('', $from);

  $headers = 'From: '.$from."\n";
  $headers.= 'Reply-To: '.$from."\n";
  if ($conf_mail['send_bcc_mail_webmaster'])
    $headers.= 'Bcc: '.$conf_mail['formated_email_webmaster']."\n";


  $options = '-f '.$from;

  $content = $infos;
  $content.= $conf_mail['text_footer'];

  if ($conf_mail['mail_options'])
  {
    return mail($to, $subject, $content, $headers, $options);
  }
  else
  {
    return mail($to, $subject, $content, $headers);
  }
}

// +-----------------------------------------------------------------------+
// | Global Variables
// +-----------------------------------------------------------------------+
$conf_mail = array();

InitConfMail();

?>